export declare type SchemaTableColumnType = "string" | "number" | "boolean" | "Date";
export interface SchemaTableColumn {
    name: string;
    type: SchemaTableColumnType;
    null: boolean;
    comment?: string;
}
export declare class SchemaTable {
    name: string;
    primaryKey?: string[];
    comment?: string;
    columns: SchemaTableColumn[];
    readonly baseClassName: string;
    constructor(name: string);
    get tableClassName(): string;
    get recordClassName(): string;
    get recordColumnTypeName(): string;
    get tableExtClassName(): string;
    get recordExtClassName(): string;
}
